%global npm_name safer-buffer
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.1.2
Release: %mkrel 5
Summary: Modern Buffer API polyfill without footguns
License: MIT
Group: Development/Other
URL: https://github.com/ChALkeR/safer-buffer#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dangerous.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr safer.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tests.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc Porting-Buffer.md
%doc Readme.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.1.2-5.mga10
+ Revision: 2208263
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 2.1.2-4.mga9
+ Revision: 1818648
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.1.2-3.mga8
+ Revision: 1503149
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.2-2.mga7
+ Revision: 1280937
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 2.1.2-1.mga7
+ Revision: 1227302
- imported package nodejs-safer-buffer

